Package net.snowflake.client.api.resultset

## Enum QueryStatus.Status

- java.lang.Object
- - java.lang.Enum<QueryStatus.Status>
  - - net.snowflake.client.api.resultset.QueryStatus.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<QueryStatus.Status>`

Enclosing class:
  QueryStatus

    public static enum QueryStatus.Status
    extends Enum<QueryStatus.Status>

### Enum Constant Summary

Enum Constants
`ABORTED`
`ABORTING`
`BLOCKED`
`DISCONNECTED`
`FAILED_WITH_ERROR`
`FAILED_WITH_INCIDENT`
`NO_DATA`
`QUEUED`
`QUEUED_REPAIRING_WAREHOUSE`
`RESTARTED`
`RESUMING_WAREHOUSE`
`RUNNING`
`SUCCESS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getDescription()`
`int` `getValue()`
`static QueryStatus.Status` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static QueryStatus.Status[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### RUNNING

    public static final QueryStatus.Status RUNNING

#### ABORTING

    public static final QueryStatus.Status ABORTING

#### SUCCESS

    public static final QueryStatus.Status SUCCESS

#### FAILED_WITH_ERROR

    public static final QueryStatus.Status FAILED_WITH_ERROR

#### ABORTED

    public static final QueryStatus.Status ABORTED

#### QUEUED

    public static final QueryStatus.Status QUEUED

#### FAILED_WITH_INCIDENT

    public static final QueryStatus.Status FAILED_WITH_INCIDENT

#### DISCONNECTED

    public static final QueryStatus.Status DISCONNECTED

#### RESUMING_WAREHOUSE

    public static final QueryStatus.Status RESUMING_WAREHOUSE

#### QUEUED_REPAIRING_WAREHOUSE

    public static final QueryStatus.Status QUEUED_REPAIRING_WAREHOUSE

#### RESTARTED

    public static final QueryStatus.Status RESTARTED

#### BLOCKED

    public static final QueryStatus.Status BLOCKED

#### NO_DATA

    public static final QueryStatus.Status NO_DATA

### Method Detail

#### values

    public static QueryStatus.Status[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryStatus.Status c : QueryStatus.Status.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryStatus.Status valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()

#### getDescription

    public String getDescription()